%bcond_with bootstrap

Name:           maven-shared-incremental
Version:        1.1
Release:        %mkrel 29
Group:          Development/Java
Summary:        Maven Incremental Build support utilities
License:        ASL 2.0
URL:            https://maven.apache.org/shared/maven-shared-incremental/
BuildArch:      noarch

Source0:        https://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

# From upstream commit 1b5c81a7
Patch:          0001-MSHARED-1374-Upgrade-parent-pom-to-41.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
%endif
# TODO Remove in Fedora 46
Obsoletes:      %{name}-javadoc < 1.1-53

%description
Various utility classes and plexus components for supporting
incremental build functionality in maven plugins.

%prep
%autosetup -p1
%pom_remove_dep :plexus-component-api

%build
%mvn_build -j -- -Dmaven.compiler.release=11

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE



%changelog
* Sun Jun 29 2025 daviddavid <daviddavid> 1.1-29.mga10
+ Revision: 2225322
- Remove javadoc subpackage
- Fix incorrect parent relativePath
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Thu May 23 2024 ns80 <ns80> 1.1-28.mga10
+ Revision: 2066334
- rebuild for java 21

* Mon Jul 25 2022 neoclust <neoclust> 1.1-27.mga9
+ Revision: 1871078
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 1.1-26.mga9
+ Revision: 1870754
- Add bootstrap build mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1-15.mga8
+ Revision: 1491944
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1-14.mga7
+ Revision: 1264091
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 1.1-13.mga6
+ Revision: 1101391
- Rebuild maven-* packages

* Mon May 08 2017 neoclust <neoclust> 1.1-12.mga6
+ Revision: 1099665
- Fix BuildRequires
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1-10.mga6
+ Revision: 977253
- First rebuild of the java stack
- sync package maven-shared-incremental with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 26 2014 dmorgan <dmorgan> 1.1-7.mga5
+ Revision: 806232
- Fix BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 738810
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1-4.mga4
+ Revision: 529510
- Mageia 4 Mass Rebuild
+ dmorgan <dmorgan>
- Remove alias for fake artifactId

* Tue Jul 09 2013 dmorgan <dmorgan> 1.1-2.mga4
+ Revision: 452199
- Build with original POM file
- Temporarily provide fake artifactId
- New version (bootstrap mode)

* Tue Jul 09 2013 dmorgan <dmorgan> 1.0-1.mga4
+ Revision: 452075
- Use version 1.0 first

* Mon Jul 08 2013 dmorgan <dmorgan> 1.1-1.mga4
+ Revision: 451398
- imported package maven-shared-incremental


* Wed Apr 24 2013 Michal Srb <msrb@redhat.com> - 1.1-4
- Remove alias for fake artifactId

* Wed Apr 24 2013 Michal Srb <msrb@redhat.com> - 1.1-3
- Build with original POM file
- Temporarily provide fake artifactId

* Wed Apr 24 2013 Michal Srb <msrb@redhat.com> - 1.1-2
- Build 1.1 with fake artifactId

* Wed Apr 10 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.1-1
- Update to upstream version 1.1

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0-1
- Initial packaging
